Appearance
GET
/communication/template-text/template-texts/{id}/locales/{locale}/attachments/{attachmentId}/contentRequired scope:
templatetext:readDownloads the file of a file attachment with the media type it was attached with and the file name of the attachment (Content-Disposition: attachment). A report has no file.
Parameters ​
Path parameters
locale stringLocale code (e.g. 'sv', 'en').
attachmentId stringThe id of the attachment.
Response ​
The file.
JSON
"..."
| Error code | Description |
|---|---|
attachment-file-missing | The file is not on the file share any more. |
attachment-not-a-file | The attachment is a report. |
attachment-not-found | The language has no attachment with the id. |
attachment-storage-failed | The file could not be read from the file share. |
attachment-storage-not-available | Files are not enabled in this environment, or the path of the file is not on the storage account of the environment. |
attachments-not-supported | The template is an SMS or an invoicetext; only an e-mail can have attachments. |
locale-not-found | The template does not have the locale. |
template-not-found | No template with the given code exists for the current company. |